#!/bin/sh -e

VERSION=$2
TAR=../activemq-protobuf_$VERSION.orig.tar.gz
DIR=activemq-protobuf-$VERSION
TAG=$(echo "activemq-protobuf-$VERSION" | sed -re's/~(alpha|beta)/-\1-/')

svn export http://svn.apache.org/repos/asf/activemq/activemq-protobuf/tags/${TAG}/ $DIR
GZIP=--best tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' $DIR
rm -rf $DIR ../$TAG

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir && echo "moved $TAR to $origDir"
fi
